ion-card {
  padding: 0;
  margin: 0;
  --margin: 0;
  --padding-top: 0;
  --padding-left: 0;
}

ion-grid {
  padding: var(--minimum-line-spacing) 0 var(--content-section-spacing) 0;
}

.sub-header {
  color: var(--Main-Foreground);
  font-size: 0.9375rem;
  font-weight: 400;
}

.custom-textarea {
  border-radius: var(--card-corner-radius, 1.25rem);
  border: 2px solid var(--Main-Foreground, rgba(0, 0, 0, 0.85));
  width: 100%;

  --highlight-color-focused: none;
  --padding-bottom: 0.8em;
  --padding-top: 0.8em;
  --padding-start: 0.8em;
  --padding-end: 0.8em;
}

.characters-text {
  color: var(--Main-Foreground);
  text-align: right;
  font-size: 0.9375rem;
  font-weight: 400;
}

.image {
  position: relative;
  display: inline-block;
  width: 100px;
  height: 100px;
}

.image-container {
  flex-wrap: wrap;
  flex-direction: row;
}

.overlay {
  position: absolute;
  right: 0;
  top: 0;
  z-index: 5;
  display: flex;
  justify-content: flex-end;
  width: 100%;
  padding: 5px;
}

.dismiss-button {
  border: none;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.img.img-responsive.full-width {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 4px;
}

.mark {
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.5);
  color: #fff;
  font-size: 1.2em;
}

.loading-spinner {
  border: 4px solid rgba(255, 255, 255, 0.3);
  border-top: 4px solid #3498db;
  border-radius: 50%;
  width: 40px;
  height: 40px;
  animation: spin 2s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.error-message {
  display: block;
  margin-top: 10px;
  font-size: 0.8em;
}
